<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.tool.SzDateHelp"%>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.database.SzPageInfo" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.stat.*" %>
<%@ include file="/sessionInfo.jsp"%>

<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=gbk">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
<script language="javascript" src="../../../share/js/commonTool.js"></script>
</head>
<%
	
	//查询时间段
	String sSearchBegin = SzConvert.strWriteData(request.getParameter("txtSearchBegin"));
	String sSearchEnd = SzConvert.strWriteData(request.getParameter("txtSearchEnd"));
	//获取选择的部门信息
	String BMID = SzConvert.toZeroStr(request.getParameter("BMID"));
	String BMMC = SzConvert.strWriteData(request.getParameter("BMMC"));
	//员工姓名
	String YGXM = SzConvert.strWriteData(request.getParameter("YGXM"));
	//如果开始时间和结束时间都为空，就默认为当前月
	Date curDate = null;
	if(sSearchBegin.equals("")&&sSearchEnd.equals("")){
		curDate = SzDateHelp.getFirstDateMonth();
		sSearchBegin = SzDateHelp.dateToYMD(SzDateHelp.getFirstDateMonth());
		sSearchEnd = SzDateHelp.dateToYMD(SzDateHelp.getLastDateMonth());
	}
	StringBuffer sCond = new StringBuffer("");
	//获取对象信息
    Vehicle vehicle = new Vehicle();
	
	//========获取部门信息=============
	SzLogin szLogin = new SzLogin();
	SzLoginInfo szLoginInfo = (SzLoginInfo)szLogin.getInfoByCond(" DLID = " + iDLID_SESSION);
	SzDepart depart = new SzDepart();
	StringBuffer departStr = new StringBuffer(" 1=1 ");
	String strManageDepartID = "";
	
	ArrayList loginList = new ArrayList();
	//是管理员时查询所有部门，否则查询当前用户的部门/选择的部门
	if (BMMC.equals("")){
		 if (!isBarManager_SESSION){
			SzUserHelp szUserHelp = new SzUserHelp(); 
			strManageDepartID = SzConvert.toZeroStr(szUserHelp.getManageDepartID(iDLID_SESSION));			
			if (strManageDepartID.equals("0")){
				departStr.append(" and BMID = "+szLoginInfo.getDLBM());
			} else {
				departStr.append(" and BMID IN( " + strManageDepartID + ")");
				sCond.append(" and BMID IN( " + strManageDepartID + ")");
			}
		 }
	 } else {
		 departStr.append(" and BMMC = '"+BMMC+"'");
	 }
	 ArrayList departList = depart.getArrayList(departStr.toString());
	 SzDepartInfo departInfo = null;
	 //如果是管理员，还要显示没有部门的员工
	 if(BMMC.equals("")&&isBarManager_SESSION){
		 departInfo = new SzDepartInfo();
		 departInfo.setBMID(0);
		 departInfo.setBMMC("其他");
		 departList.add(departInfo);
	 }
	 int departSize = departList!=null?departList.size():0;
	 
	String searchStr = vehicle.getStat_SQL(BMMC,YGXM,"YC.SQXXMC11", sSearchBegin, sSearchEnd, sCond.toString());

	//取得用户
	ArrayList loginInfoList = SzUserHelp.getUserStaticList();
	//根据姓名查询
	if (!YGXM.equals("")){
		szLoginInfo = (SzLoginInfo)szLogin.getInfoByCond(" DLXM='" + YGXM + "'");
		loginInfoList = new ArrayList();
		if (szLoginInfo != null){
			loginInfoList.add(szLoginInfo);
		}
	}
	int loginCount = loginInfoList != null? loginInfoList.size():0;
  	//用于存放所有可看员工的ID
	 StringBuffer loginIDStr = new StringBuffer();
	 //用于存放所有部门的员工
	 Map loginMap = new HashMap();
	 int departID = 0;
	 //用于存入某个部门的员工
	 ArrayList userList = new ArrayList();
	 for (int i=0;i < departSize;i++ ){
		 userList = new ArrayList();
		 departInfo = (SzDepartInfo)departList.get(i);
		 departID = departInfo.getBMID();
		 userList = new ArrayList();
		 for (int j = 0;j<loginCount;j++){
			 szLoginInfo = (SzLoginInfo)loginInfoList.get(j);
			 //System.out.println(szLoginInfo.getDLBM()+":"+szLoginInfo.getDLXM());
			 if (isBarManager_SESSION && szLoginInfo.getDLBM() == departID){
				 userList.add(szLoginInfo);
				 loginIDStr.append(szLoginInfo.getDLID()+",");
			 } else if (strManageDepartID.equals("0") && szLoginInfo.getDLID() == iDLID_SESSION){
				 userList.add(szLoginInfo);
				 loginIDStr.append(szLoginInfo.getDLID()+",");
			 } else if (!strManageDepartID.equals("0") && szLoginInfo.getDLBM() == departID){
				 userList.add(szLoginInfo);
				 loginIDStr.append(szLoginInfo.getDLID()+",");
			 }
			 
		 }
		 loginMap.put(departID,userList);
	 }
	 loginIDStr.append("-1");
	 

	Map YGChuCheCountMap = vehicle.getYGChuCheCount(loginIDStr.toString(), searchStr);
	
	
%>
<!-----上面的工具栏------>
<%@ include file="/share/title.jsp"%>
<table width="100%">
  <form name="formBar" method="post">
  <tr>
  	<td valign="bottom" style="padding-bottom: 5px;padding-top: 5px;" align="center">
  		<h4 style="display: inline;">人员用车情况统计</h4>
  	</td>
  </tr>
  <tr>
    <td>
      部门<input type="text" name="BMMC" class="txtClassSearch" value="<%=BMMC%>">
      姓名<input type="text" name="YGXM" class="txtClassSearch" value="<%=YGXM%>">
      开始<input type="text" name="txtSearchBegin" class="txtClassSearch" value="<%=sSearchBegin%>">
      <%=SzPageHelp.calendar2Select("../../../","formBar.txtSearchBegin")%>
      结束<input type="text" name="txtSearchEnd" class="txtClassSearch" value="<%=sSearchEnd%>">
      <%=SzPageHelp.calendar2Select("../../../","formBar.txtSearchEnd")%>
      <%=SzPageHelp.button("查询", "javascript:FormSubmit(formBar,'stat_vehicle_user.jsp');")%>
    </td>
  </tr>
  </form>
</table>

<!-----信息列表----->
<table width="100%" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="1" cellspacing="0">
  <form name="formList" method="post">
  <tr class="trClassTitle_c">
    <td rowspan="2">部门名称</td>
    <td rowspan="2">姓名</td>
    <td colspan="2">出车</td>
  </tr>
  <tr class="trClassTitle_c">
    <td>次数</td>
    <td>公里数</td>
  </tr>
<%

	StringBuffer outSB = new StringBuffer();
	int rowCount = 5;
	int count = 0;
	int uCont = 0;
	int departCount = 0;
	double money = 0;
	double departMoney = 0;
	double sumMoney = 0;
	int sum = 0;
	Object obj = null;
	Object objvalue[] = null;
	int sBMID = 0;
	String sBMMC = "";
	int loginSize = 0;
	int Lid = 0;	//用户ID
	String Lxm = "";	//用户姓名
    for (int i=0;i<departSize;i++){
    	departInfo = (SzDepartInfo)departList.get(i);
 		sBMID = departInfo.getBMID();
 		sBMMC = departInfo.getBMMC();
 		loginList = (ArrayList)loginMap.get(sBMID);
 		loginSize = loginList == null? 0:loginList.size();
    	departCount = 0;
    	departMoney = 0;
    	
    	for(int j = 0;j<loginSize;j++){
    		szLoginInfo = (SzLoginInfo)loginList.get(j);
 			if (szLoginInfo == null){
 				continue;
 			}
 			outSB = new StringBuffer();
 			uCont = 0;
 			Lid = szLoginInfo.getDLID();
 			Lxm = szLoginInfo.getDLXM();
 			out.println("<tr align=\"center\">");
    		if (j == 0){
    	    	out.println("<td rowspan=\""+ loginSize +"\">"+ sBMMC +"&nbsp;</td>");
    		}
    		out.println("<td>"+ Lxm +"&nbsp;</td>");
    		
           	obj = YGChuCheCountMap.get(sBMMC+ ":" + Lxm);
           	objvalue = obj != null? (Object[])obj:null;
           	count = objvalue!=null? Integer.valueOf(objvalue[0].toString()):0;
           	outSB.append("<td align=\"center\">"+ count +"&nbsp;</td>");
           	uCont += count;
           	money = objvalue!=null? Double.valueOf(objvalue[1].toString()):0;
           	outSB.append("<td align=\"center\">"+ SzConvert.formatFloat2Str(money) +"&nbsp;</td>");
           	departMoney += money;
        	
        	//out.println("<td align=\"center\">"+ uCont +"&nbsp;</td>");
    		out.println(outSB.toString());
    		outSB.append("</tr>");
    		departCount += uCont;
 		}
    	if (loginSize > 0){
	    	out.println("<tr class=\"trClassTitle2\" align=\"center\">");
	        out.println("<td style=\"color: blue;\">部门合计</td>");
	        out.println("<td>&nbsp;</td>");
	        out.println("<td align=\"center\">"+ departCount +"&nbsp;</td>");
	        out.println("<td align=\"center\">"+ SzConvert.formatFloat2Str(departMoney) +"&nbsp;</td>");
	        out.println("<tr>");
    	}
    	sum += departCount;
    	sumMoney += departMoney;
    }
    out.println("<tr class=\"trClassTitle2\" align=\"center\">");
    out.println("<td style=\"color: red;\">合计</td>");
    out.println("<td>&nbsp;</td>");
    out.println("<td align=\"center\">"+ sum +"&nbsp;</td>");
    out.println("<td align=\"center\">"+ SzConvert.formatFloat2Str(sumMoney) +"&nbsp;</td>");
    
    out.println("<tr>");
    
    loginMap = null;
    YGChuCheCountMap = null;
%>

  </form>
</table>

<!-----下面的工具栏------>
<table width="100%">
  <form name="formPage" method="post">
  </form>
</table>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
</form>
<%
    ////如果要使用日历控件，必须输出这个calendarFrame
    out.println(SzPageHelp.calendar2Frame("../../../"));
%>